net.i2p.sam

## Interface SAMv3Handler.Session

- All Known Implementing Classes:
    SAMv3DatagramSession, SAMv3RawSession, SAMv3StreamSession
  Enclosing class:
    SAMv3Handler

      static interface SAMv3Handler.Session

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `getNick()`
    `boolean` | `sendBytes(String dest, byte[] data)`

- - ### Method Detail

    - #### getNick

          String getNick()

    - #### close

          void close()

    - #### sendBytes

          boolean sendBytes(String dest,
                          byte[] data)
                            throws DataFormatException

      Throws:
        `DataFormatException`